#include "CS_PowerRoom_Wave.h"

CS_PowerRoom_Wave::CS_PowerRoom_Wave()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_powerroom_wave";
	drawBeforeOtherEntity = true;
}

void CS_PowerRoom_Wave::Step()
{
	auto& ani_no = ani.image_index;
	if (++ani_wait > 0)
	{
		ani_wait = 0;
		++ani_no;
	}

	if (ani_no > 3)
		ani_no = 0;
}

std::shared_ptr<Entity> CreateCS_PowerRoom_Wave()
{
	return std::make_shared<CS_PowerRoom_Wave>();
}
